Subject: Re: [patch net-next 05/15] devlink: move port_split/unsplit() ops into devlink_port_ops

From: Jakub Kicinski <[email-masked]>
Date: Thu, 25 May 2023 08:27:03 -0700

On Thu, 25 May 2023 08:05:22 +0200 Jiri Pirko wrote:
> >I think it's because every time I look at struct net_device_ops 
> >a little part of me gives up.  
> 
> Does this work? I checked the existing layout of devlink_ops and the
> internal comments are ignored by kdoc. Actually the whole devlink_ops
> struct is omitted in kdoc. See:
> $ scripts/kernel-doc include/net/devlink.h

Hm, it should work, it's documented as a legal way to kdoc:

https://www.kernel.org/doc/html/next/doc-guide/kernel-doc.html#in-line-member-documentation-comments

We should ask Jon if you're sure it's broken.